<?php

namespace ApiServer\Core\Http\Controllers;

use ApiServer\JsonApi\Http\Controllers\DefaultResourceController;

class OptionsController extends DefaultResourceController
{
    public function model() {
      return 'ApiServer\Core\Models\Config';
    }

    public function serializer() {
        return 'ApiServer\Core\Serializers\ConfigSerializer';
    }

    public function resource() {
        return "configs";
    }
}
